1. Field of Invention
The present invention describes a monotonic optimization method for achieving the maximum weighted sum-rate in multicell downlink MISO systems, which is a technique of wireless communications.
2. Description of Related Arts
Coordinated multicell downlink transmission is a promising technique for suppressing co-channel interference and improving the system performance. Among the different kinds of design criteria, weighted sum-rate maximization is an active research topic, which has attracted significant attention from both academics and industries. However, achieving the global optimum is very difficult as the capacity region remains unknown. A more pragmatic method that adopts single-user detection by simply treating interference as noise has stimulated some efficient algorithms.
In the conventional techniques, the reference L. Venturino, N. Prasad, and X. Wang, “Coordinated linear beamforming in downlink multi-cell wireless networks,” IEEE Transactions on Wireless Communications, vol. 9, no. 4, pp. 1451-1461, April 2010, presents an iterative coordinated beamforming algorithm to solve the Karush-Kuhn-Tucker conditions of the weighted sum-rate maximization problem.
The reference Q. J. Shi, M. Razaviyayn, Z. Q. Luo, and C. He, “An iteratively weighted MMSE approach to distributed sum-utility maximization for a MIMO interfering broadcast channel,” IEEE Transactions on Signal Processing, vol. 59, no. 9, pp. 4331-4340, September 2011, proposes a weighted minimum mean square error method which iteratively update the transmitter, the receiver and the weight matrix.
However, the achievable rate region under single-user detection remains non-convex. For MISO systems, the reference R. Zhang and S. G. Cui, “Cooperative interference management with MISO beamforming,” IEEE Transactions on Signal Processing, vol. 58, no. 10, pp. 5454-5462, October 2010, proves that beamforming techniques can achieve the Pareto-optimal points and describes a method to characterize the Pareto-boundary of the achievable rate region. Although there are already some techniques obtaining Pareto-optimal solutions, it is still a big challenge to search for the global optimality.
The reference L. Liu, R. Zhang, and K. Chua, “Achieving global optimality for weighted sum-rate maximization in the K-user Gaussian interference channel with multiple antennas,” IEEE Transactions on Wireless Communications, vol. 11, no. 5, pp. 1933-1945, 2012, views the weighted sum-rate maximization as a monotonic optimization problem and adopts the outer polyblock approximation algorithm combined with the rate profile technique to approaching the global optimal solution. To improve the efficiency of the monotonic optimization, another reference E. Bjornson, G. Zheng, M. Bengtsson, and B. Ottersten, “Robust monotonic optimization framework for multicell MISO systems,” IEEE Transactions on Signal Processing, vol. 60, no. 5, pp. 2508-2523, 2012, provides a branch-reduce-and-bound based method. Although it converges faster than the outer polyblock approximation algorithm, it still needs too many iterations as the number of users increase.
Based on the conventional techniques, the present invention proposes a novel monotonic optimization method to achieve the maximum weighted sum-rate in multicell downlink MISO systems. The present invention utilizes a sensible search scheme, a sequential partition method and a vertex relocation method to accelerate the convergence.
The present invention is implemented as the following steps of:
Step 1: setting system parameters comprising: a cell/base station number M, a user number in an m-th cell Km, an antenna number of an m-th base station Tm, a maximum transmission power of the m-th base station Pm, wherein m=1, a 1 by Tn channel vector from a n-th base station to an mk-th user (i.e. the k-th user in the m-th cell) hm
Step 2: defining Rm
wherein wm
formulating a achievable rate vector
as well as a weighted sum-rate function
wherein ε+K indicates that r is a positive real vector of a length K with K=Σm=1MKm;
Step 3: defining a box [a,b]={xε+K|a≦x≦b}; initializing the set of boxes as ={[0,b0]}; assuming K0=0, a (Σi=0m−1Ki+k)-th element (associated with the mk-th user) of b0 is log2(1+Pmνhm
Step 4: initializing an upper bound fmax and a lower bound fmin of the weighted sum-rate, wherein
f
max
=f(b0), fmin=max(α·b0)
wherein α is a weight vector comprising weights for all the users, i.e.
Step 5: choosing a box [a,b] from that satisfies f(b)=fmax, and then checking feasibility of a: whether a locates in a achievable rate region or not; wherein the feasibility is determined via a problem φ(a);
the specified problem φ(a) is:
wherein σm
Step 6: if the problem φ(a) is feasible, conducting a sensible search scheme for the box [a,b] to obtain a partition point r;
wherein if the problem φ(a) is infeasible, updating the box set as =\[a,b] and calculating the upper bound fmax=max[a,b]εf(b), then going back to the Step 5;
the sensible search scheme is:
denoting lab as the line connecting a and b; finding the intersection point c on the hyperplane {r|f(r)=fmin} with the line lab, i.e.
checking feasibility of c via the problem φ(a) in the Step 5 with a=c;
wherein if φ(c) is feasible, a bisection line search is conducted along the line lcb to obtain an intersection point on a Pareto-boundary; given a line search accuracy δ, two points rmin and rmax are acquired; the partition point is set as r=rmax while the lower bound is updated as fmin=f(rmin);
if φ(c) is infeasible, just set the partition point as r=c;
Step 7: based on the partition point r, dividing the box [a,b] into K new boxes [a(i),b(i)], i=1, . . . , K using a sequential partition method; then updating the boxes set as
the sequential partition method is:
i) firstly generating a set of K new vertices {b(1), . . . , b(K)} based on the partition point r, wherein
b
(i)
=b−(bi−ri)ei, i=1, . . . ,K
wherein the subscript i indicates the i-th element of the vector and ei is a vector with the i-th element being 1 and the others being 0;
ii) sorting the K vertices as {b(i
ill) sequentially determining the corresponding vertices {a(i
Step 8; calculating f(b) for each box [a,b];
wherein if f(b)>fmin, the associated vertex a is relocated as
wherein, ãi is an i-th element of the relocated vertex;
if f(b)≦fmin, the box [a,b] is removed from the box set, i.e. =\[a,b];
Step 9: resetting the upper bound fmax as fmax=max[a,b]εf(b); and
Step 10: checking a relative error of the upper and lower bound;
The monotonic optimization method proposed in the present invention adopts a sensible search scheme, a sequential partition method and a vertex relocation method to reduce the number of checking feasibility, therefore the computational complexity is decreased and the convergence is accelerated.
The details of the embodiment of the present invention are specified below. The embodiment is based on the technical content of the present invention. The specific implementing process is presented. The scope of the present invention is not limited to the following embodiment.
A weighted sum-rate maximization problem is
wherein Km is a number of users in an m-th cell, Tm is an antenna number of an m-th base station, Pm denotes a maximum transmission power of the m-th base station, hm
The monotonic optimization problem is
wherein
is the achievable rate vector and denotes the achievable rate region, i.e.
The present invention includes the following steps of:
Step 1: setting system parameters comprising: a cell/base station number M, the user number in the m-th cell Km, the antenna number of the m-th base station Tm, the maximum transmission power of the m-th base station Pm, wherein m=1, . . . , M, a 1 by Tn channel vector from the n-th base station to the mk-th user (i.e. the k-th user in the m-th cell) hm
In this embodiment, two scenarios are considered: M=3, Km=1, Pm=5, Tm=4 and M=2, Km=2, Pm=10, Tm=4, wherein m=1, . . . , M.
In this embodiment, every entry of hm
Step 2: defining Rm
wherein Wm
formulating a achievable rate vector
as well as a weighted sum-rate function
wherein ε+K indicates that r is a positive real vector of a length K with K=Σm=1MKm;
Step 3: defining a box [a,b]={xε+K|a≦x≦b}; initializing the set of boxes as ={[0,b0]}; assuming K0=0, a (Σi=0m−1Ki+k)-th element (associated with the mk-th user) of b0 is log2(1+Pm∥hm
In this embodiment, the accuracy parameters are set as η=0.01, δ=0.01.
Since the iterations of the embodiment and the conventional methods are different, it is not meaningful to compare the number of iterations. As the main complexity derives from checking the feasibility of a point, the convergence performance is evaluated as a function of the feasibility checking times. The convergence performance is presented via the relative errors of the upper and lower bound with the optimal value, i.e.
(fmax−fopt)/fopt,(fmin−fopt)/fopt
wherein fopt is the obtained optimal value of the weighted sum-rate;
Step 4: initializing an upper bound fmax and a lower bound fmin of the weighted sum-rate, wherein
f
max
=f(b0),fmin=max(α·b0)
wherein α is a weight vector comprising weights for all the users, i.e.
Step 5: choosing a box [a,b] from that satisfies f(b)=fmax, and then checking feasibility of a: whether a locates in a achievable rate region or not; wherein the feasibility is determined via a problem φ(a);
the specified problem φ(a) is:
wherein σm
Step 6: if the problem φ(a) is feasible, conducting a sensible search scheme for the box [a,b] to obtain a partition point r;
wherein if the problem φ(a) is infeasible, updating the box set as =\[a,b] and calculating the upper bound fmax=max[a,b]εf(b), then going back to the Step 5;
the sensible search scheme is:
denoting lab as the line connecting a and b; finding the intersection point c on the hyperplane {r|f(r)=fmin} with the line lab, i.e.
checking feasibility of c via the problem φ(a) in the Step 5 with a=c;
wherein if φ(c) is feasible, a bisection line search is conducted along the line lcb to obtain an intersection point on a Pareto-boundary; given a line search accuracy δ, two points rmin and rmax are acquired; the partition point is set as r=rmax while the lower bound is updated as fmin=f(rmin);
if φ(c) is infeasible, just set the partition point as r=c;
Step 7: based on the partition point r, dividing the box [a,b] into K new boxes [a(i),b(i)], i=1, . . . , K using a sequential partition method; then updating the boxes set as
the sequential partition method is:
i) firstly generating a set of K new vertices {b(1), . . . ,b(K)} based on the partition point r, wherein
b
(i)
=b−(bi−ri)ei, i=1, . . . ,K
wherein the subscript i indicates the i-th element of the vector and ei is a vector with the i-th element being 1 and the others being 0;
ii) sorting the K vertices as {b(i
iii) sequentially determining the corresponding vertices {a(i
Step 8; calculating f(b) for each box [a,b];
wherein if f(b)>fmin, the associated vertex a is relocated as
wherein ãi is an i-th element of the relocated vertex;
if f(b)≦fmin the box [a,b] is removed from the box set, i.e. =\[a,b];
Step 9: resetting the upper bound fmax as fmax=max[a,b]εf(b); and Step 10: checking a relative error of the upper and lower bound;
wherein if (fmax−fmin)/fmin>η, going back to the Step 5, otherwise, returning fmin, fmax and rmin.
From
While only selected embodiment has been chosen to illustrate the present invention, it will be apparent to those skilled in the art from this disclosure that various changes and modifications can be made herein without departing from the scope of the present invention.
Number | Date | Country | Kind |
---|---|---|---|
201210359384.7 | Sep 2012 | CN | national |
This is a U.S. National Stage under 35 U.S.C 371 of the International Application PCT/CN2012/001585, filed Nov. 26, 2012, which claims priority under 35 U.S.C. 119(a-d) to CN 201210359384.7, filed Sep. 24, 2012.
Filing Document | Filing Date | Country | Kind |
---|---|---|---|
PCT/CN2012/001585 | 11/26/2012 | WO | 00 |